path: /build/build/argcomplete-dev-python-1.9.4.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-python_targets_pypy3 -python_targets_python2_7 -python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 -test python_targets_python3_9" emerge dev-python/argcomplete -pv -t && \
    USE="-python_targets_pypy3 -python_targets_python2_7 -python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 -test python_targets_python3_9" emerge -j ${JOBS} --nodeps dev-python/argcomplete
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/argcomplete && luet-portage --dir /pkgdir/argcomplete
    dev-python/argcomplete && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:a4cb95568712443c951fdee425f683b838de5df5c88a43747129a7e73bf3559b
  package:
    name: argcomplete
    version: 1.9.4
    category: dev-python
    use_flags:
    - -python_targets_pypy3
    - -python_targets_python2_7
    - -python_targets_python3_10
    - -python_targets_python3_7
    - -python_targets_python3_8
    - -test
    - python_targets_python3_9
    requires:
    - name: macaroni-funtoo-race16
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Bash tab completion for argparse
    uri:
    - https://pypi.org/project/argcomplete/
    license: Apache-2.0
    buildtimestamp: 2023-09-24 09:16:06.817190253 +0000 UTC m=+104.753488349
    labels:
      DEPEND: dev-python/setuptools[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
        test? ( dev-python/pexpect[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
        app-shells/tcsh ) python_targets_pypy3? ( >=dev-python/pypy3-7.3.0:0= ) python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) python_targets_python2_7?
        ( >=dev-lang/python-2.7.5-r2:2.7 ) python_targets_python3_10? ( dev-lang/python:3.10
        ) >=dev-lang/python-exec-2:=[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
        >=dev-python/setuptools-42.0.2[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
      IUSE: test python_targets_pypy3 python_targets_python3_7 python_targets_python3_9
        python_targets_python3_8 python_targets_python2_7 python_targets_python3_10
      RDEPEND: python_targets_pypy3? ( >=dev-python/pypy3-7.3.0:0= ) python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) python_targets_python2_7?
        ( >=dev-lang/python-2.7.5-r2:2.7 ) python_targets_python3_10? ( dev-lang/python:3.10
        ) >=dev-lang/python-exec-2:=[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
      emerge.packages: dev-python/argcomplete
      kit: python-modules-kit
      original.package.name: dev-python/argcomplete
      original.package.slot: "0"
      original.package.version: 1.9.4
    treedir: /build/packages
  package_dir: /pkgdir/argcomplete
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 9eeba107ce428110320b59fa8061e2f2ff280f4c24eb750bc308866bffcac871
compressiontype: zstd
files:
- usr/bin/activate-global-python-argcomplete
- usr/bin/python-argcomplete-check-easy-install-script
- usr/bin/python-argcomplete-tcsh
- usr/bin/register-python-argcomplete
- usr/lib/python-exec/python3.9/activate-global-python-argcomplete
- usr/lib/python-exec/python3.9/python-argcomplete-check-easy-install-script
- usr/lib/python-exec/python3.9/register-python-argcomplete
- usr/lib/python3.9/site-packages/argcomplete/__init__.py
- usr/lib/python3.9/site-packages/argcomplete/__pycache__/__init__.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/argcomplete/__pycache__/__init__.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/argcomplete/__pycache__/__init__.cpython-39.pyc
- usr/lib/python3.9/site-packages/argcomplete/__pycache__/_check_module.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/argcomplete/__pycache__/_check_module.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/argcomplete/__pycache__/_check_module.cpython-39.pyc
- usr/lib/python3.9/site-packages/argcomplete/__pycache__/compat.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/argcomplete/__pycache__/compat.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/argcomplete/__pycache__/compat.cpython-39.pyc
- usr/lib/python3.9/site-packages/argcomplete/__pycache__/completers.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/argcomplete/__pycache__/completers.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/argcomplete/__pycache__/completers.cpython-39.pyc
- usr/lib/python3.9/site-packages/argcomplete/__pycache__/my_argparse.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/argcomplete/__pycache__/my_argparse.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/argcomplete/__pycache__/my_argparse.cpython-39.pyc
- usr/lib/python3.9/site-packages/argcomplete/__pycache__/my_shlex.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/argcomplete/__pycache__/my_shlex.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/argcomplete/__pycache__/my_shlex.cpython-39.pyc
- usr/lib/python3.9/site-packages/argcomplete/__pycache__/shellintegration.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/argcomplete/__pycache__/shellintegration.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/argcomplete/__pycache__/shellintegration.cpython-39.pyc
- usr/lib/python3.9/site-packages/argcomplete/_check_module.py
- usr/lib/python3.9/site-packages/argcomplete/bash_completion.d/python-argcomplete.sh
- usr/lib/python3.9/site-packages/argcomplete/compat.py
- usr/lib/python3.9/site-packages/argcomplete/completers.py
- usr/lib/python3.9/site-packages/argcomplete/my_argparse.py
- usr/lib/python3.9/site-packages/argcomplete/my_shlex.py
- usr/lib/python3.9/site-packages/argcomplete/shellintegration.py
- usr/lib/python3.9/site-packages/argcomplete-1.9.4-py3.9.egg-info/PKG-INFO
- usr/lib/python3.9/site-packages/argcomplete-1.9.4-py3.9.egg-info/SOURCES.txt
- usr/lib/python3.9/site-packages/argcomplete-1.9.4-py3.9.egg-info/dependency_links.txt
- usr/lib/python3.9/site-packages/argcomplete-1.9.4-py3.9.egg-info/not-zip-safe
- usr/lib/python3.9/site-packages/argcomplete-1.9.4-py3.9.egg-info/requires.txt
- usr/lib/python3.9/site-packages/argcomplete-1.9.4-py3.9.egg-info/top_level.txt
- usr/share/bash-completion/completions/python-argcomplete
- usr/share/doc/argcomplete-1.9.4/README.rst.bz2
- var/db/pkg/dev-python/argcomplete-1.9.4/BUILD_TIME
- var/db/pkg/dev-python/argcomplete-1.9.4/CATEGORY
- var/db/pkg/dev-python/argcomplete-1.9.4/CBUILD
- var/db/pkg/dev-python/argcomplete-1.9.4/CFLAGS
- var/db/pkg/dev-python/argcomplete-1.9.4/CHOST
- var/db/pkg/dev-python/argcomplete-1.9.4/CONTENTS
- var/db/pkg/dev-python/argcomplete-1.9.4/COUNTER
- var/db/pkg/dev-python/argcomplete-1.9.4/CXXFLAGS
- var/db/pkg/dev-python/argcomplete-1.9.4/DEFINED_PHASES
- var/db/pkg/dev-python/argcomplete-1.9.4/DEPEND
- var/db/pkg/dev-python/argcomplete-1.9.4/DESCRIPTION
- var/db/pkg/dev-python/argcomplete-1.9.4/EAPI
- var/db/pkg/dev-python/argcomplete-1.9.4/FEATURES
- var/db/pkg/dev-python/argcomplete-1.9.4/HOMEPAGE
- var/db/pkg/dev-python/argcomplete-1.9.4/INHERITED
- var/db/pkg/dev-python/argcomplete-1.9.4/IUSE
- var/db/pkg/dev-python/argcomplete-1.9.4/IUSE_EFFECTIVE
- var/db/pkg/dev-python/argcomplete-1.9.4/KEYWORDS
- var/db/pkg/dev-python/argcomplete-1.9.4/LDFLAGS
- var/db/pkg/dev-python/argcomplete-1.9.4/LICENSE
- var/db/pkg/dev-python/argcomplete-1.9.4/PF
- var/db/pkg/dev-python/argcomplete-1.9.4/RDEPEND
- var/db/pkg/dev-python/argcomplete-1.9.4/SIZE
- var/db/pkg/dev-python/argcomplete-1.9.4/SLOT
- var/db/pkg/dev-python/argcomplete-1.9.4/USE
- var/db/pkg/dev-python/argcomplete-1.9.4/argcomplete-1.9.4.ebuild
- var/db/pkg/dev-python/argcomplete-1.9.4/environment.bz2
- var/db/pkg/dev-python/argcomplete-1.9.4/repository
package_cacheimage: ""
runtime:
  name: argcomplete
  version: 1.9.4
  category: dev-python
  use_flags:
  - -python_targets_pypy3
  - -python_targets_python2_7
  - -python_targets_python3_10
  - -python_targets_python3_7
  - -python_targets_python3_8
  - -test
  - python_targets_python3_9
  requires:
  - name: python
    version: '>=0'
    category: dev-lang-3.9
  - name: python-exec
    version: '>=0'
    category: dev-lang-2
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Bash tab completion for argparse
  uri:
  - https://pypi.org/project/argcomplete/
  license: Apache-2.0
  labels:
    DEPEND: dev-python/setuptools[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
      test? ( dev-python/pexpect[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
      app-shells/tcsh ) python_targets_pypy3? ( >=dev-python/pypy3-7.3.0:0= ) python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) python_targets_python2_7? ( >=dev-lang/python-2.7.5-r2:2.7
      ) python_targets_python3_10? ( dev-lang/python:3.10 ) >=dev-lang/python-exec-2:=[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
      >=dev-python/setuptools-42.0.2[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
    IUSE: test python_targets_pypy3 python_targets_python3_7 python_targets_python3_9
      python_targets_python3_8 python_targets_python2_7 python_targets_python3_10
    RDEPEND: python_targets_pypy3? ( >=dev-python/pypy3-7.3.0:0= ) python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) python_targets_python2_7? ( >=dev-lang/python-2.7.5-r2:2.7
      ) python_targets_python3_10? ( dev-lang/python:3.10 ) >=dev-lang/python-exec-2:=[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
    emerge.packages: dev-python/argcomplete
    kit: python-modules-kit
    original.package.name: dev-python/argcomplete
    original.package.slot: "0"
    original.package.version: 1.9.4
